Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## ix.iserve.ipc
Enum IServeCommServer.ServerCommand

    java.lang.Object
      java.lang.Enum<IServeCommServer.ServerCommand>
          ix.iserve.ipc.IServeCommServer.ServerCommand

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IServeCommServer.ServerCommand>

Enclosing class:
  IServeCommServer

    static enum IServeCommServer.ServerCommand

extends java.lang.Enum<IServeCommServer.ServerCommand>

Enum Constant Summary
`Clear_Messages`
`Delete_User`
`Select_A_Command`

Method Summary
`(package private) abstract void` | `eval(javax.servlet.http.HttpServletRequest req, IServeCommServer server)`
`(package private) java.lang.String[]` | `selectedUsers(javax.servlet.http.HttpServletRequest req)`
`static IServeCommServer.ServerCommand` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IServeCommServer.ServerCommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Select_A_Command

    public static final IServeCommServer.ServerCommand Select_A_Command

### Delete_User

    public static final IServeCommServer.ServerCommand Delete_User

### Clear_Messages

    public static final IServeCommServer.ServerCommand Clear_Messages

Method Detail

### values

    public static IServeCommServer.ServerCommand[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IServeCommServer.ServerCommand c : IServeCommServer.ServerCommand.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IServeCommServer.ServerCommand valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### eval

    abstract void eval(javax.servlet.http.HttpServletRequest req,
                       IServeCommServer server)

### selectedUsers

    java.lang.String[] selectedUsers(javax.servlet.http.HttpServletRequest req)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD